<?php

namespace Teknisa\CADFIN\Factories;

use Doctrine\ORM\EntityManager;
use Teknisa\Model\Financeiro\Entities\Tpcredbanc;

class Bco51200TipoDeCreditoBancarioFactory { 
    
    protected $entityManager;

    public function __construct(EntityManager $entityManager) {
        $this->entityManager = $entityManager;
    }
    
    public function getTpcredbanc($codigo, $nrorg){
        $params = array();
        $params['cdtpcredbanc'] = $codigo;
        $params['nrorg'] = $nrorg;
        $tpcredbanc = $this->entityManager->getRepository(Tpcredbanc::class)->findOneBy($params);
        return $tpcredbanc;
    }
}